Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.schema
Class CreateClass

    java.lang.Object
      oracle.ifs.common.BaseMain
          oracle.ifs.common.BaseApp
              oracle.ifs.admin.tools.schema.CreateClass

All Implemented Interfaces:
  java.lang.Runnable, Logger

    public class CreateClass

extends BaseApp

Create a ClassObject from a typ file specification.

(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.common.BaseApp
`m_currentuser, m_session`

Fields inherited from class oracle.ifs.common.BaseMain
`m_defaultWriter, m_logWriter, m_parametertable, m_timervalue`

Constructor Summary
`CreateClass(java.lang.String[] args)` Construct a CreateClass

Method Summary
`static void` | `createAttributePropertyBundle(LibrarySession sess, java.lang.String className, Attribute attr, java.lang.String pbNamePrefix)` Create property bundle for an atribute, if one does not already exist.
`static ClassObject` | `createNewClass(Logger obj, LibrarySession sess, ParameterTable params)`
`static void` | `main(java.lang.String[] args)`
`void` | `run()`

Methods inherited from class oracle.ifs.common.BaseApp
`connect, Connect, connect, Connect, Connect, Connect, connect, Connect, connect, Connect, Disconnect, getCachePerformanceString, getCleartextCredential, getCleartextCredential, getConnectionPoolPerformanceString, getConnectOptions, getConnectOptions, getConnectOptions, getLocale, showCachePerformance, showConnectionPoolPerformance`

Methods inherited from class oracle.ifs.common.BaseMain
`getElapsedTime, getParameterTable, initTrace, log, log, logCurrentTimestamp, printStackTrace, setTimer, showElapsedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateClass

    public CreateClass(java.lang.String[] args)

  Construct a CreateClass

  Parameters:
    `args` - commandline arguments

Method Detail

### main

    public static void main(java.lang.String[] args)

  Parameters:
    `args` -

### run

    public void run()

### createNewClass

    public static ClassObject createNewClass(Logger obj,
                                             LibrarySession sess,
                                             ParameterTable params)
                                      throws IfsException

  Throws:
    `IfsException`

### createAttributePropertyBundle

    public static void createAttributePropertyBundle(LibrarySession sess,
                                                     java.lang.String className,
                                                     Attribute attr,
                                                     java.lang.String pbNamePrefix)
                                              throws IfsException

  Description copied from class: `CreateClass`
  Create property bundle for an atribute, if one does not already exist.

  Parameters:
    `sess` - session context
    `className` - the mixed case Class name
    `attr` - the attribute for which to add a PB
    `pbNamePrefix` - prefix to use as the name for the PB
  Throws:
    `IfsException` - if operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD